aboutsummaryrefslogtreecommitdiffstats
path: root/netkit-base
diff options
context:
space:
mode:
Diffstat (limited to 'netkit-base')
-rw-r--r--netkit-base/netkit-base-0.17/configure.patch12
-rw-r--r--netkit-base/netkit-base-0.17/init33
-rw-r--r--netkit-base/netkit-base-0.17/mconfig.patch20
3 files changed, 65 insertions, 0 deletions
diff --git a/netkit-base/netkit-base-0.17/configure.patch b/netkit-base/netkit-base-0.17/configure.patch
index e69de29bb2..8bddc21151 100644
--- a/netkit-base/netkit-base-0.17/configure.patch
+++ b/netkit-base/netkit-base-0.17/configure.patch
@@ -0,0 +1,12 @@
+diff -urNd netkit-base-0.17/configure netkit-base-0.17-new/configure
+--- netkit-base-0.17/configure 2000-07-29 13:00:28.000000000 -0500
++++ netkit-base-0.17-new/configure 2002-10-02 14:06:12.000000000 -0500
+@@ -13,7 +13,7 @@
+ MANMODE='644'
+ SUIDMODE='4755'
+
+-while [ x$1 != x ]; do case $1 in
++while [ x"$1" != x ]; do case $1 in
+
+ --help)
+ cat <<EOF
diff --git a/netkit-base/netkit-base-0.17/init b/netkit-base/netkit-base-0.17/init
index e69de29bb2..cf50bcd546 100644
--- a/netkit-base/netkit-base-0.17/init
+++ b/netkit-base/netkit-base-0.17/init
@@ -0,0 +1,33 @@
+#!/bin/sh
+#
+# start/stop inetd super server.
+
+if ! [ -x /usr/sbin/inetd ]; then
+ exit 0
+fi
+
+case "$1" in
+ start)
+ echo -n "Starting internet superserver:"
+ echo -n " inetd" ; start-stop-daemon -S -x /usr/sbin/inetd > /dev/null
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping internet superserver:"
+ echo -n " inetd" ; start-stop-daemon -K -x /usr/sbin/inetd > /dev/null
+ echo "."
+ ;;
+ restart)
+ echo -n "Restarting internet superserver:"
+ echo -n " inetd "
+ killall -HUP inetd
+ echo "."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/inetd {start|stop|restart}"
+ exit 1
+ ;;
+esac
+
+exit 0
+
diff --git a/netkit-base/netkit-base-0.17/mconfig.patch b/netkit-base/netkit-base-0.17/mconfig.patch
index e69de29bb2..26f2f2b6b6 100644
--- a/netkit-base/netkit-base-0.17/mconfig.patch
+++ b/netkit-base/netkit-base-0.17/mconfig.patch
@@ -0,0 +1,20 @@
+diff -urNd netkit-base-0.17/MCONFIG netkit-base-0.17-new/MCONFIG
+--- netkit-base-0.17/MCONFIG 1969-12-31 18:00:00.000000000 -0600
++++ netkit-base-0.17-new/MCONFIG 2002-10-12 13:33:16.000000000 -0500
+@@ -0,0 +1,16 @@
++BINDIR=/usr/bin
++SBINDIR=/usr/sbin
++MANDIR=/usr/man
++ROOTBINDIR=/bin
++BINMODE=755
++DAEMONMODE=755
++MANMODE=644
++SUIDMODE=4755
++PREFIX=/usr
++EXECPREFIX=/usr
++ROOTPREFIX=
++INSTALLROOT=
++CC=arm-linux-gcc
++CFLAGS=-I/usr/src/coding/projects/userspace/buildroot/output/staging/usr/include -O2 -Wall -W -Wpointer-arith -Wbad-function-cast -Wcast-qual -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Winline
++LDFLAGS=
++LIBS=